import uuid

from decimal import Decimal
from typing import Optional

from brewman.schemas.product import ProductLink
from pydantic import BaseModel


class RecipeItem(BaseModel):
    id_: Optional[uuid.UUID]
    product: ProductLink
    quantity: Decimal
    price: Decimal

    class Config:
        fields = {"id_": "id"}
