import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';

import { ToasterService } from '../../core/toaster.service';
import { AuthService } from '../auth.service';

@Component({
  selector: 'app-logout',
  template: '',
})
export class LogoutComponent implements OnInit {
  constructor(private auth: AuthService, private router: Router, private toaster: ToasterService) {}

  ngOnInit() {
    this.auth.logout();
  }
}
