import { Batch } from './batch';
import { Product } from './product';

export class Inventory {
  id: string | undefined;
  quantity: number;
  rate: number;
  tax: number;
  discount: number;
  amount: number;
  batch: Batch;

  public constructor(init?: Partial<Inventory>) {
    this.quantity = 0;
    this.rate = 0;
    this.tax = 0;
    this.discount = 0;
    this.amount = 0;
    this.batch = new Batch();
    Object.assign(this, init);
  }
}
