export class LedgerItem {
  date: string;
  id: string;
  name: string;
  type: string;
  narration: string;
  debit: number;
  credit: number;
  running: number;
  posted: boolean;
  url: string;

  public constructor(init?: Partial<LedgerItem>) {
    this.date = '';
    this.id = '';
    this.name = '';
    this.type = '';
    this.narration = '';
    this.debit = 0;
    this.credit = 0;
    this.running = 0;
    this.posted = true;
    this.url = '';
    Object.assign(this, init);
  }
}
