import { ProductSku } from '../core/product-sku';

export class RecipeItem {
  id: string | undefined;
  product: ProductSku;
  quantity: number;
  price: number;

  public constructor(init?: Partial<RecipeItem>) {
    this.product = new ProductSku();
    this.quantity = 0;
    this.price = 0;
    Object.assign(this, init);
  }
}
