import uuid

from datetime import datetime

from pydantic import BaseModel


class DbImage(BaseModel):
    id: uuid.UUID
    resource_id: uuid.UUID
    resource_type: str
    image: bytes
    thumbnail: bytes
    creation_date: datetime
