import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';

import { AttendanceType } from './attendance-type';
import { AttendanceTypeService } from './attendance-type.service';

@Injectable({
  providedIn: 'root',
})
export class AttendanceTypeResolver implements Resolve<AttendanceType[]> {
  constructor(private ser: AttendanceTypeService) {}

  resolve(): Observable<AttendanceType[]> {
    return this.ser.list();
  }
}
