import { Product } from './product';
import { ProductSku } from './product-sku';

export class Batch {
  id: string | null;
  name: string;
  quantityRemaining: number;
  tax: number;
  discount: number;
  rate: number;
  sku: ProductSku;

  public constructor(init?: Partial<Batch>) {
    this.id = null;
    this.name = '';
    this.quantityRemaining = 0;
    this.tax = 0;
    this.discount = 0;
    this.rate = 0;
    this.sku = new ProductSku();
    Object.assign(this, init);
  }
}
