import { Injectable } from '@angular/core';
import { Resolve } from '@angular/router';
import { Observable } from 'rxjs/internal/Observable';

import { Recipe } from './recipe';
import { RecipeService } from './recipe.service';

@Injectable({
  providedIn: 'root',
})
export class RecipeListResolver implements Resolve<Recipe[]> {
  constructor(private ser: RecipeService) {}

  resolve(): Observable<Recipe[]> {
    return this.ser.list();
  }
}
